put
https://api.eu.gomotive.com/v1/external_ids/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Purpose: Use this endpoint to update the external integration info of an entity.
NOTEFor updating the external integration details of entities such as users, vehicles, assets, or groups, you will require a Motive generated 'id'. This can be obtained by passing the GET v1/{entity}/:id endpoint.
For example, if you are updating the external integration info for a user, pass the GET v1/user/:<user_id>. This endpoint will now give you the following output:
"external_ids": [ { "id": 809946, "external_id": "112233", "integration_name": "INT" },Add the id value to the path parameter.
Response Parameters
id
- Type: Integer
- Description: The unique identifier assigned to this external ID record.
external_id
- Type: String
- Description: The external ID assigned by the integration partner.
integration_name
- Type: String
- Description: The name of the third-party integration that provided this external ID.
external_id_holder_id
- Type: Integer
- Description: The unique identifier assigned to the entity such as a user, vehicle, asset, or a group. If your entity is a user, then enter the user ID here. If a vehicle, enter the vehicle ID. Similarly for asset (asset ID), and group (group ID).
external_id_holder_type
- Type: String
- Description: Specify the type of the holder or the entity. Allowed values are User, Vehicle, Asset, or Group.
